<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="18122" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="18093"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="LoginViewController" customModule="TestTableView" customModuleProvider="target">
            <connections>
                <outlet property="loginButton" destination="ZIR-26-7yW" id="hgA-Wh-vyO"/>
                <outlet property="loginContainer" destination="bCR-Nc-jb7" id="nhb-4U-7Bp"/>
                <outlet property="passwordTextField" destination="UbM-Kx-sNj" id="qWc-jM-f9U"/>
                <outlet property="stackView" destination="I4w-Mt-2Ov" id="KnL-Bc-yb6"/>
                <outlet property="titleLabel" destination="dWR-EY-fdz" id="hWd-3l-2Dc"/>
                <outlet property="usernameTextField" destination="CQB-ti-YiF" id="K6u-8Q-qlC"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="16" translatesAutoresizingMaskIntoConstraints="NO" id="I4w-Mt-2Ov">
                    <rect key="frame" x="32" y="349.5" width="350" height="197"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Login Ruangguru" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="dWR-EY-fdz">
                            <rect key="frame" x="0.0" y="0.0" width="350" height="29"/>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="24"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Username" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="CQB-ti-YiF">
                            <rect key="frame" x="0.0" y="45" width="350" height="40"/>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="NW6-jt-vvu"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits" enablesReturnKeyAutomatically="YES"/>
                        </textField>
                        <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Password" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="UbM-Kx-sNj">
                            <rect key="frame" x="0.0" y="101" width="350" height="40"/>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="6J9-dp-EYG"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits" secureTextEntry="YES"/>
                        </textField>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="bCR-Nc-jb7">
                            <rect key="frame" x="0.0" y="157" width="350" height="40"/>
                            <subviews>
                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="ZIR-26-7yW">
                                    <rect key="frame" x="0.0" y="0.0" width="350" height="40"/>
                                    <color key="backgroundColor" systemColor="systemBlueColor"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="40" id="tRv-n7-fF1"/>
                                    </constraints>
                                    <fontDescription key="fontDescription" type="boldSystem" pointSize="15"/>
                                    <state key="normal" title="LOGIN">
                                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                    </state>
                                    <userDefinedRuntimeAttributes>
                                        <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                            <integer key="value" value="20"/>
                                        </userDefinedRuntimeAttribute>
                                    </userDefinedRuntimeAttributes>
                                    <connections>
                                        <action selector="didTapLoginButton:" destination="-1" eventType="touchUpInside" id="gds-Ng-Zug"/>
                                    </connections>
                                </button>
                            </subviews>
                            <constraints>
                                <constraint firstAttribute="bottom" secondItem="ZIR-26-7yW" secondAttribute="bottom" id="F6t-zo-jtQ"/>
                                <constraint firstAttribute="trailing" secondItem="ZIR-26-7yW" secondAttribute="trailing" id="Kzd-qz-oc5"/>
                                <constraint firstItem="ZIR-26-7yW" firstAttribute="top" secondItem="bCR-Nc-jb7" secondAttribute="top" id="L4v-bA-eb7"/>
                                <constraint firstItem="ZIR-26-7yW" firstAttribute="leading" secondItem="bCR-Nc-jb7" secondAttribute="leading" id="h8u-5i-pSu"/>
                                <constraint firstAttribute="height" constant="40" id="sJj-oA-Mp6"/>
                            </constraints>
                        </view>
                    </subviews>
                </stackView>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="vwJ-mM-aEB">
                    <rect key="frame" x="8" y="52" width="60" height="64"/>
                    <state key="normal" image="backBtn"/>
                    <connections>
                        <action selector="didTapBackButton:" destination="-1" eventType="touchUpInside" id="EMf-KI-bh2"/>
                    </connections>
                </button>
            </subviews>
            <viewLayoutGuide key="safeArea" id="fnl-2z-Ty3"/>
            <color key="backgroundColor" systemColor="systemGray6Color"/>
            <constraints>
                <constraint firstItem="vwJ-mM-aEB" firstAttribute="top" secondItem="fnl-2z-Ty3" secondAttribute="top" constant="8" id="4yC-lb-Wet"/>
                <constraint firstItem="I4w-Mt-2Ov" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="32" id="FK8-Q0-H2i"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="I4w-Mt-2Ov" secondAttribute="trailing" constant="32" id="TD9-aI-7N7"/>
                <constraint firstItem="I4w-Mt-2Ov" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" id="r3d-Ms-92r"/>
                <constraint firstItem="vwJ-mM-aEB" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="8" id="vr9-ou-fcd"/>
            </constraints>
            <point key="canvasLocation" x="20" y="46"/>
        </view>
    </objects>
    <resources>
        <image name="backBtn" width="60" height="64"/>
        <systemColor name="systemBlueColor">
            <color red="0.0" green="0.47843137254901963" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="systemGray6Color">
            <color red="0.94901960784313721" green="0.94901960784313721" blue="0.96862745098039216" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
